%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name lazr.config

Name:           python-%{upstream_name}
Version:        2.1
Release:        1%{?dist}
Summary:        Create configuration schemas, and process and validate configurations

License:        LGPL
URL:            https://launchpad.net/lazr.config
Source0:        https://launchpad.net/lazr.config/trunk/%{version}/+download/lazr.config-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-interface
BuildRequires:  python-nose
%if 0%{?with_python3}
BuildRequires: python3-pkgversion-macros
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-zope-interface
BuildRequires: python%{python3_pkgversion}-nose
%endif

Requires:       python-setuptools
Requires:       python-nose
Requires:       python-zope-interface
Requires:       python-lazr.delegates


%description
The LAZR config system is typically used to manage process configuration.
Process configuration is for saying how things change when we run systems on
different machines, or under different circumstances.

This system uses ini-like file format of section, keys, and values. The config
file supports inheritance to minimize duplication of information across files.
The format supports schema validation.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        Create configuration schemas, and process and validate configurations
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-lazr.delegates
Requires:       python%{python3_pkgversion}-nose
Requires:       python%{python3_pkgversion}-zope-interface

%description -n python%{python3_pkgversion}-%{upstream_name}
The LAZR config system is typically used to manage process configuration.
Process configuration is for saying how things change when we run systems on
different machines, or under different circumstances.

This system uses ini-like file format of section, keys, and values. The config
file supports inheritance to minimize duplication of information across files.
The format supports schema validation.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%check
%{__python} setup.py nosetests

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py nosetests
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc README.rst COPYING.txt HACKING.rst
%{python_sitelib}/lazr
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc README.rst COPYING.txt HACKING.rst
%{python3_sitelib}/lazr
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth
%endif

%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.1.3-1
- Initial package.
